import type { JSX } from '../../stencil-public-runtime';
import { Bundesamt, Bundesanstalt, Bundesministerium } from '../../enums/bund';
import type { API, States } from './types';
export declare class KolLogo implements API {
    _org: Bundesministerium | Bundesamt | Bundesanstalt;
    state: States;
    validateOrg(value?: Bundesministerium | Bundesamt | Bundesanstalt): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
